SDXFrameWork 0.10 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Namespace Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Namespaces | Classes | Enumerations | Functions | Variables
SDX Namespace Reference

SDXFramework共通の名前空間. More...

## Namespaces
| MOTION
| 移動パターンのポリシー.
| SPEED
| 変化する数値のポリシー.

## Classes
class | Anime
| Filmに再生状態を付与したクラス. More...
class | Blend
| Image同士の合成処理を行う関数群[未実装]. More...
class | BmpFrame
| 描画用枠を表すクラス. More...
class | Camera
| 2D用に座標変換を行うカメラを表すクラス. More...
class | Circle
| 円を表す図形クラス. More...
class | Color
| 色を表すクラス. More...
class | Complex
| 複合図形を表すクラス. More...
class | Director
| シーンを管理するクラス. More...
class | Drawing
| リソースを読み込まずに描画を行う関数群. More...
class | EnumArray
| 列挙型を直接添字に使える配列. More...
class | File
| 入出力可能なテキストかバイナリファイルを表すクラス. More...
class | Film
| ImagePackにコマ毎の再生時間を追加したクラス. More...
class | Filter
| Imageにフィルター処理を行う関数群[未実装]. More...
class | Font
| TrueTypeFontとBMPFontをまとめて扱うクラス. More...
class | FontOld
| 旧フォントクラス. More...
class | Gesture
| タッチ操作の各種ジェスチャー. More...
class | IDrawable
| 描画可能なクラスのインターフェース. More...
class | IFont
| Fontのインターフェース. More...
class | IFrame
| 描画用枠のインターフェース. More...
class | Image
| 画像データを表すクラス. More...
class | ImagePack
| 複数のImageをまとめるクラス. More...
class | IModel
| ShapeとSpriteをまとめて、2Dモデルを表すクラス. More...
class | Input
| キーやマウスによる入力をまとめて管理するクラス. More...
class | IPosition
| 位置と方向を持つクラスのインターフェース. More...
class | IScene
| シーンのインターフェース. More...
class | IShape
| 衝突判定可能な図形の抽象クラス. More...
class | ISprite
| 2Dモデルに貼り付けるスプライトを表す抽象クラス. More...
class | Joypad
| ジョイパッドの状態を表すクラス. More...
class | Key
| 各ボタンとキーを表すクラス. More...
class | Keyboard
| キーボードの状態を表すクラス. More...
class | Line
| 太さのある線を表す図形クラス. More...
class | Loading
| リソースの非同期読み込み支援関数. More...
class | Model
| Modelの基本クラス. More...
class | Mouse
| マウスの状態を表すクラス. More...
class | Movie
| 動画を表すクラス[未実装]. More...
class | Music
| BGM用音声を表すクラス. More...
class | Point
| 点を表す図形クラス. More...
class | Rand
| 乱数生成関数群. More...
class | Rect
| 矩形を表す図形クラス. More...
class | Renderer
| 描画先を表すクラス. More...
class | Screen
| アクティブなRendererを操作するクラス. More...
class | Sound
| 効果音用音声を表すクラス. More...
class | SpAnime
| Animeスプライト. More...
class | SpFont
| Fontスプライト. More...
class | SpFrame
| IFrameスプライト. More...
class | SpImage
| Imageスプライト. More...
class | SpImageS
| ImagePackスプライト. More...
class | SpMap
| マップチップスプライト. More...
class | SpNull
| 描画しないNullスプライト. More...
class | SubWindow
| ウィンドウを表すクラス. More...
class | System
| ライブラリの初期化やシステム的な処理を行う関数群. More...
class | Time
| 時間と日付を取得する関数群. More...
class | Touch
| タッチ操作. More...
class | VariadicStream
| 可変数引数な文字列を処理するクラス. More...
class | Window
| アクティブなSubWindowを操作するクラス. More...

## Enumerations
enum | NextFrame { NextFrame::Normal = -10000, NextFrame::ToFront, NextFrame::ToBack, NextFrame::End }
| 次コマの移動先. More...
enum | FilmType { FilmType::Normal, FilmType::Reverse, FilmType::End }
| アニメの再生方法. More...
enum | FileMode { FileMode::Read, FileMode::Write, FileMode::Add, FileMode::None }
| ファイルの読込書込モード. More...
enum | SaveMode { SaveMode::Asset, SaveMode::Internal, SaveMode::External }
| Androidでの保存先. More...
enum | PadType { KeyAndPad1, Pad1, Pad2, Pad3, Pad4, KeyBord }
| ゲームパッドの種類. More...
enum | PadCode : unsigned int { Button1, Button2, Button3, Button4, Button5, Button6, Button7, Button8, Button9, Button10, Button11, Button12, Button13, Button14, Button15, Button16, Button17, Button18, Button19, Button20, Button21, Button22, Button23, Button24, Button25, Button26, Button27, Button28, Down, Left, Right, Up, COUNT }
| ゲームパッドコード. More...
enum | KeyCode { Back, Tab, Return, LShift, RShift, LControl, RControl, Escape, Space, PageUp, PageDown, End, Home, Left, Up, Right, Down, Insert, Delete, Minus, Yen, PrevTrack, Period, Slash, LAlt, RAlt, Scroll, Semicolon, Colon, LBracket, RBracket, At, Backslash, Comma, Capslock, Pause, Numpad0, Numpad1, Numpad2, Numpad3, Numpad4, Numpad5, Numpad6, Numpad7, Numpad8, Numpad9, Multiply, Add, Subtract, Decimal, Divide, NUMPADEnter, F1, F2, F3, F4, F5, F6, F7, F8, F9, F10, F11, F12, A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, COUNT }
| キーボードコード. More...
enum | MouseCode { Left, Right, Middle, _4, _5, _6, _7, _8, COUNT }
| マウスボタンコード. More...
enum | BlendMode { BlendMode::NoBlend = SDL_BLENDMODE_NONE, BlendMode::Alpha = SDL_BLENDMODE_BLEND, BlendMode::Add = SDL_BLENDMODE_ADD, BlendMode::Mula = SDL_BLENDMODE_MOD }
| ブレンドモード. More...

## Functions
double | CompAngle (double 角度A, double 角度B)
| Aから見たBの角度差を-PAI～+PAIで返す. More...

## Variables
const double | PAI = 3.1415926535897931
| 円周率
const double | DEG = PAI / 180
| ラジアンにおける1℃

## Detailed Description

SDXFramework共通の名前空間.

OS標準の日本語フォント.

SystemFont::GothicとSystemFont::Mincho以外はプラットフォーム依存 参考外部リンク:http://rinrin.saiin.net/~aor/fonts/fonts

## Enumeration Type Documentation

enum SDX::NextFrame
| strong

次コマの移動先.

0以上の場合は、そのコマにジャンプする

Enumerator
Normal | 次のコマに進む
ToFront | コマの進む向きをプラスにしてから進む
ToBack | コマの進む向きをマイナスにしてから進む
End | このコマでアニメーションを停止する

enum SDX::FilmType
| strong

アニメの再生方法.

Enumerator
Normal | 最後まで再生するとまた最初からループ再生
Reverse | 最後まで再生すると、再生方向を反転
End | 最終フレームで再生を停止

enum SDX::FileMode
| strong

ファイルの読込書込モード.

Enumerator
Read | 読込のみ
Write | 書込のみ
Add | 書込時、末尾に追加
None | 開かれていない

enum SDX::SaveMode
| strong

Androidでの保存先.

Enumerator
Asset | 各アプリケーションのフォルダ
Internal | 内部ストレージ
External | 外部ストレージ(SDカード)

enum SDX::PadType
| strong

ゲームパッドの種類.

enum SDX::PadCode : unsigned int
| strong

ゲームパッドコード.

enum SDX::KeyCode
| strong

キーボードコード.

enum SDX::MouseCode
| strong

マウスボタンコード.

enum SDX::BlendMode
| strong

ブレンドモード.

Enumerator
NoBlend | ブレンドしない
Alpha | αブレンド
Add | 加算ブレンド
Mula | 積算ブレンド

## Function Documentation

double SDX::CompAngle | ( | double | 角度A,
|  | double | 角度B
| ) |  |

Aから見たBの角度差を-PAI～+PAIで返す.